Skip to main content
POST
Enrich by properties

Authorizations

Authorization
string
header
required

API Token used for authentication. Example: "Authorization: Bearer {token}"

Query Parameters

expand
enum<string>[]

Expandable response fields. Repeat the parameter to request multiple expansions.

Supported values:

  • workforce: costs 5 credits per company and adds the workforce field to CompanyInfo.
Available options:
workforce

Body

application/json
name
string | null

The name of the company to enrich

linkedinUrl
string<uri> | null

The LinkedIn URL of the company to enrich

linkedinId
string | null

The LinkedIn ID of the company to enrich

twitterUrl
string<uri> | null

The Twitter URL of the company to enrich

facebookUrl
string<uri> | null

The Facebook URL of the company to enrich

instagramUrl
string<uri> | null

The Instagram URL of the company to enrich

youTubeUrl
string<uri> | null

The YouTube URL of the company to enrich

Response

OK

id
string<uuid>
required

The unique identifier of the company

name
string | null

The name of the company

Maximum string length: 1024
domain
string | null

The primary domain name of the company

Maximum string length: 1024
website
string<uri> | null

The website URL of the company

type
any | null

The type of the company

Available options:
unknown,
private,
public,
self-employed,
self-owned,
partnership,
nonprofit,
educational,
government,
null

The legal name of the company

industry
string | null

The main industry of the company

industries
string[] | null

The industries associated with the company

categories
enum<string>[] | null

The categories of the company from most to least specific.

Available options:
b2b,
b2c,
b2g,
e-commerce,
media,
service-provider,
mobile,
saas,
local-business
employees
any | null

The employee count range.

Available options:
1-10,
11-50,
51-200,
201-500,
501-1K,
1K-5K,
5K-10K,
over-10K,
null
reported_employees
any | null

The employee count range reported by external data providers.

Available options:
1-10,
11-50,
51-200,
201-500,
501-1K,
1K-5K,
5K-10K,
over-10K,
null
revenue
any | null

The range of annual revenue of the company in USD

Available options:
under-1m,
1m-10m,
10m-50m,
50m-100m,
100m-200m,
200m-1b,
over-1b,
null
description
string | null

The description of the company

keywords
string[] | null

The search keywords of the company

technologies
string[] | null

The technologies associated with the company

subsidiaries
string[] | null

The subsidiaries associated with the company

founded_year
integer<int32> | null

The year the company was founded

naics_codes
string[] | null

The NAICS codes associated with the company

location
object | null

The location information of the company

financial
object | null

The financial information of the company

socials
object

The social URLs of the company

page_rank
number<float> | null

The page rank of the company

workforce
object | null

Expanded workforce insights for the company. This field is only returned when expand=workforce is requested.

logo_url
string | null

The logo URL of the company

seo_description
string | null

The SEO description of the company

updated_at
string<date-time>

The last updated timestamp of the company